=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

# Common files
require 'wefitter-gem/api_client'
require 'wefitter-gem/api_error'
require 'wefitter-gem/version'
require 'wefitter-gem/configuration'

# Models
require 'wefitter-gem/models/activity'
require 'wefitter-gem/models/app_connection_url'
require 'wefitter-gem/models/app_totals'
require 'wefitter-gem/models/bmi'
require 'wefitter-gem/models/bio_age'
require 'wefitter-gem/models/bio_metric'
require 'wefitter-gem/models/biometric_measurement'
require 'wefitter-gem/models/challenge_activity_type'
require 'wefitter-gem/models/challenge_detail'
require 'wefitter-gem/models/challenge_list'
require 'wefitter-gem/models/challenge_period'
require 'wefitter-gem/models/daily_detail'
require 'wefitter-gem/models/daily_summary'
require 'wefitter-gem/models/detail_sample'
require 'wefitter-gem/models/ecg_recording'
require 'wefitter-gem/models/ecg_recordings'
require 'wefitter-gem/models/enrollment_information'
require 'wefitter-gem/models/event'
require 'wefitter-gem/models/heart_rate_sample'
require 'wefitter-gem/models/heart_rate_summary'
require 'wefitter-gem/models/heart_rate_summary_linked'
require 'wefitter-gem/models/height'
require 'wefitter-gem/models/inline_response_200'
require 'wefitter-gem/models/inline_response_200_1'
require 'wefitter-gem/models/inline_response_200_2'
require 'wefitter-gem/models/inline_response_200_3'
require 'wefitter-gem/models/inline_response_200_4'
require 'wefitter-gem/models/inline_response_200_5'
require 'wefitter-gem/models/leaderboard_history'
require 'wefitter-gem/models/leaderboard_profile'
require 'wefitter-gem/models/leaderboard_profile_and_team'
require 'wefitter-gem/models/leaderboard_team'
require 'wefitter-gem/models/notification'
require 'wefitter-gem/models/notification_for_profiles'
require 'wefitter-gem/models/profile_app_connection_list'
require 'wefitter-gem/models/profile_as_profile_public_id'
require 'wefitter-gem/models/profile_as_profile_public_id_and_team_as_team_public_id'
require 'wefitter-gem/models/profile_challenge_list'
require 'wefitter-gem/models/profile_created'
require 'wefitter-gem/models/profile_detail'
require 'wefitter-gem/models/profile_list'
require 'wefitter-gem/models/profile_public_ids_list'
require 'wefitter-gem/models/profile_public_ids_list_and_team_as_public_id'
require 'wefitter-gem/models/profile_team'
require 'wefitter-gem/models/recommended_products'
require 'wefitter-gem/models/shopping_cart'
require 'wefitter-gem/models/sleep_detail'
require 'wefitter-gem/models/sleep_detail_minimal'
require 'wefitter-gem/models/sleep_summary'
require 'wefitter-gem/models/stress_sample'
require 'wefitter-gem/models/stress_summary'
require 'wefitter-gem/models/stress_summary_linked'
require 'wefitter-gem/models/team_detail'
require 'wefitter-gem/models/team_list'
require 'wefitter-gem/models/team_profile'
require 'wefitter-gem/models/token'
require 'wefitter-gem/models/track_sample'
require 'wefitter-gem/models/weight'
require 'wefitter-gem/models/workout'

# APIs
require 'wefitter-gem/api/app_api'
require 'wefitter-gem/api/challenge_api'
require 'wefitter-gem/api/connection_api'
require 'wefitter-gem/api/insights_api'
require 'wefitter-gem/api/loyalty_api'
require 'wefitter-gem/api/notification_api'
require 'wefitter-gem/api/profile_api'
require 'wefitter-gem/api/team_api'
require 'wefitter-gem/api/token_api'

module WeFitter
  class << self
    # Customize default settings for the SDK using block.
    #   WeFitter.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
